Subject: Re: [PATCH 3/4] t5604: do not expect that HEAD is a valid tagname

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Dec 2024 10:29:14 +0900

Jeff King <[email-masked]> writes:

> So I'd expect 10 digits in a fresh clone of git.git. It's possible Junio
> has set core.abbrev to something fixed, though.

Thanks.

I have "git one" (and "git who") aliased to this script:

    $ cat $(type --path git-onewho)
    #!/bin/sh
    if sha1=$(git rev-parse -q --verify "$1")
    then
            git show --date=short -s --abbrev=8 --pretty='format:%h (%s, %ad)' "$1"
    else
            git log -1 --format="%aN <%aE>" --author="$1" --all
    fi | tr -d "\012"
    $ git help one
    'one' is aliased to 'onewho'
    $ git help who
    'who' is aliased to 'onewho'
    
so that I can say "\C-u ESC ! git one HEAD" (or "git one peff")
while writing a piece of e-mail.  I can drop --abbrev=8 from there
but the machinery knows to bust that limit if it is necessary to
ensure uniqueness, so ...